<h1>Paramètres du compte</h1>

<form action='/parametres' method='POST'>

    <h2>Informations personnelles</h2><br>

    <div class='form-row'>
        <div class='form-group col-md-6'>
            <label for='prenom'>Prénom</label>
            <input class='form-control' maxlength='50' autofocus required id='prenom' name='prenom' type='text' disabled='disabled' value='{#PRENOM}'/>
        </div>
        <div class='form-group col-md-6'>
            <label for='nom'>Nom</label>
            <input class='form-control' id='nom' maxlength='50' required name='nom' type='text' disabled='disabled' value='{#NOM}'>
        </div>
    </div>
    <div class='form-group'>
        <label for='dateDeNaissance'>Date de naissance</label>
        <input class='form-control' id='dateDeNaissance' required name='dateNaissance' max='{#TODAY}' type='date' disabled='disabled' value='{#DATENAISSANCE}'>
    </div>


    <h2>Mes coordonnées</h2><br>

    <div class='form-group'>
        <label for='numTel'>Téléphone</label>
        <input class='form-control' id='numTel' minlength='10' maxlength='10' pattern='[0-9]{10}' required name='tel' type='text' value='{#TEL}'>
        <!--ALERT-->
    </div>
    <div class='form-group'>
        <label for='mail'>Mail</label>
        <input class='form-control' id='mail' maxlength='100' required name='mail' type='email' value='{#MAIL}'>
        <!--ALERT-->
    </div>
    <div class='form-group'>
        <label for='adresse'>Adresse</label>
        <input class='form-control' id='adresse' placeholder='n°, nom de la rue' maxlength='125' required name='adresse' type='text' value='{#ADRESSE}'>
    </div>
    <div class='container text-center'>
        <button class='btn btn-primary' name="typeEdit" value="coordonnees" type='submit'>Modifier mes coordonnées</button>
        <br>
        <br>
    </div>


    <h2>Mes identifiants</h2><br>
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="password">Mot de passe:</label>
                <input class="form-control" id="password" required name="password" type="password"/>
            </div>
            <div class="form-group col-md-6">
                <label for="confPassword">Confirmation: </label>
                <input class="form-control" id="confPassword" onchange="validateConfPassword()" required name="confPassword" type="password">
            </div>
        </div>
        <script type="text/javascript">
            function validateConfPassword() {
                let password = document.getElementById("password")
                let confPassword = document.getElementById("confPassword")
                let button = document.getElementById("btnMdp")
                if (password.value === confPassword.value) {
                    button.disabled = false
                    confPassword.classList.remove("is-invalid")
                    confPassword.classList.add("is-valid")
                } else {
                    button.disabled = true
                    confPassword.classList.remove("is-valid")
                    confPassword.classList.add("is-invalid")
                }
            }
        </script>
        <div class='form-group text-center'>
            <button class='btn btn-primary' id="btnMdp" name="typeEdit" value="motdepasse" type='submit'>Modifier mon mot de passe</button>
        </div>
        <div class='form-group'>
            <label for='questionSecrete'>Question secrète</label>
            <input class='form-control' id='questionSecrete' maxlength='200' required name='questionSecrete' type='text' value='{#QUESTION}'>
            <br>
            <input class='form-control' id='reponse' maxlength='200' name='reponse' type="password"  placeholder='Réponse à votre question secrète'>
        </div>
        <div class='form-group text-center'>
            <br>
            <button class='btn btn-primary' name="typeEdit" value="question" type='submit'>Modifier ma question secrète</button>
        </div>
</form>